[P102]material substance
This interface provides all material substance name in the patent text.
The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 9cf648f8-8283-4767-9a14-f90f68303f3e,7353c607-0594-4592-b99e-aea9f517de17 | patent_id |
| string | CN108977442B | patent_number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
pn | string | CN113769175B | patent publication number |
patent_id | string | 05da3d4e-6f13-4005-9a2d-0645d2554cbf | patent id |
substance_lable | array | substanceLable | material substance info |
substance_id | string | 4440b6da-82d9-4719-aeb9-6670b15a0a4e | material substance id |
substance_master_name_cn | string | 二氯甲烷 | material substance chinese name |
substance_master_name_en | string | METHYLENE CHLORIDE | material substance english name |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"pn": "CN113769175B",
"patent_id": "05da3d4e-6f13-4005-9a2d-0645d2554cbf",
"substance_lable": [
{
"substance_id": "4440b6da-82d9-4719-aeb9-6670b15a0a4e",
"substance_master_name_cn": "二氯甲烷",
"substance_master_name_en": "METHYLENE CHLORIDE"
}
]
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms